Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 2735)
+++ trunk/SophyaLib/NTools/Makefile	(revision 2743)
@@ -1,458 +1,545 @@
-include ../Mgr/Makefile.h
- 
-all: $(LIB)libNTools.a
+include ../BuildMgr/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libNTools.a
+ 
 clean:
-	rm -f $(OBJ)FSAppIrrSmpl.o $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmserver.o $(OBJ)fftpserver.o $(OBJ)fftservintf.o $(OBJ)functab.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)median.o $(OBJ)ntoolsinit.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)simplesort.o $(OBJ)simplex.o $(OBJ)tabmath.o $(OBJ)datime.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbtri.o
-	rm -f $(LIB)libNTools.a
-$(LIB)libNTools.a : $(OBJ)FSAppIrrSmpl.o $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftmserver.o $(OBJ)fftpackc.o $(OBJ)fftpserver.o $(OBJ)fftservintf.o $(OBJ)functab.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)integ.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbtri.o $(OBJ)ntoolsinit.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)simplesort.o $(OBJ)simplex.o $(OBJ)tabmath.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
- 
-$(OBJ)FSAppIrrSmpl.o: FSAppIrrSmpl.cc $(INC)sopnamsp.h \
-  FSAppIrrSmpl.h $(INC)machdefs.h nbmath.h \
-  $(INC)smathconst.h \
-  $(INC)timing.h \
-  $(INC)array.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)tmatrix.h \
-  $(INC)tvector.h \
-  $(INC)matharr.h \
-  $(INC)fioarr.h \
-  $(INC)sopemtx.h fftservintf.h fftpserver.h \
-  $(INC)toeplitzMatrix.h \
-  $(INC)nbmath.h \
-  $(INC)fftservintf.h \
-  $(INC)fftpserver.h
-$(OBJ)cimage.o: cimage.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h cimage.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)fioarr.h \
-  $(INC)tvector.h \
-  $(INC)datatype.h
-$(OBJ)cspline.o: cspline.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h nbtri.h cspline.h \
-  $(INC)pexceptions.h
-$(OBJ)datatypes.o: datatypes.cc $(INC)sopnamsp.h \
-  datatypes.h $(INC)machdefs.h
-$(OBJ)dates.o: dates.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h dates.h
-$(OBJ)difeq.o: difeq.cc $(INC)sopnamsp.h difeq.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)ctimer.h
-$(OBJ)dynccd.o: dynccd.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h fmath.h perandom.h \
-  $(INC)histos.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h nbrandom.h \
-  $(INC)srandgen.h cimage.h \
-  $(INC)fioarr.h dynccd.h
-$(OBJ)fct1dfit.o: fct1dfit.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h fct1dfit.h generalfit.h \
-  $(INC)pexceptions.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h nbconst.h tabmath.h
-$(OBJ)fct2dfit.o: fct2dfit.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h fct2dfit.h generalfit.h \
-  $(INC)pexceptions.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h nbconst.h tabmath.h \
-  simps2d.h
-$(OBJ)fftmserver.o: fftmserver.cc $(INC)sopnamsp.h \
-  fftmserver.h fftservintf.h $(INC)machdefs.h \
-  $(INC)pexceptions.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)tvector.h fftmayer.h
-$(OBJ)fftpserver.o: fftpserver.cc $(INC)sopnamsp.h \
-  fftpserver.h fftservintf.h $(INC)machdefs.h \
-  $(INC)pexceptions.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)tvector.h fftpackc.h
-$(OBJ)fftservintf.o: fftservintf.cc $(INC)sopnamsp.h \
-  fftservintf.h $(INC)machdefs.h \
-  $(INC)pexceptions.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)tvector.h
-$(OBJ)functab.o: functab.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h functab.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h
-$(OBJ)generaldata.o: generaldata.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)strutil.h nbtri.h generalfit.h \
-  $(INC)pexceptions.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h
-$(OBJ)generalfit.o: generalfit.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h generalfit.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h \
-  $(INC)sopemtx.h
-$(OBJ)integ.o: integ.cc $(INC)sopnamsp.h integ.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h classfunc.h generalfit.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h
-$(OBJ)median.o: median.cc
-$(OBJ)ntoolsinit.o: ntoolsinit.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h ntoolsinit.h \
-  $(INC)tarrinit.h \
-  $(INC)sophyainit.h poly.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generaldata.h \
-  $(INC)ntupintf.h cimage.h \
-  $(INC)fioarr.h tabmath.h nbconst.h dates.h \
-  datime.h
-$(OBJ)objfitter.o: objfitter.cc $(INC)sopnamsp.h \
-  objfitter.h $(INC)machdefs.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h cimage.h \
-  $(INC)fioarr.h \
-  $(INC)tvector.h \
-  $(INC)histos.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)histos2.h \
-  $(INC)hisprof.h generalfit.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h
-$(OBJ)perandom.o: perandom.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h perandom.h \
-  $(INC)histos.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h nbrandom.h \
-  $(INC)srandgen.h pemath.h
-$(OBJ)poly.o: poly.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h poly.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h linfit.h \
-  $(INC)sopemtx.h \
-  $(INC)fioarr.h
-$(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h rk4cdifeq.h difeq.h \
-  $(INC)pexceptions.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)ctimer.h
-$(OBJ)simplesort.o: simplesort.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h simplesort.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h fmath.h
-$(OBJ)simplex.o: simplex.cc $(INC)sopnamsp.h simplex.h \
-  $(INC)machdefs.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h generalfit.h generaldata.h \
-  $(INC)ntupintf.h poly.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h fmath.h \
-  $(INC)ntuple.h \
-  $(INC)timing.h
-$(OBJ)tabmath.o: tabmath.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h tabmath.h peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h fmath.h nbconst.h
-$(OBJ)datime.o: datime.c $(INC)machdefs.h \
-  $(INC)strutil.h nbconst.h datime.h
-$(OBJ)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(INC)machdefs.h trigtbl.h
-$(OBJ)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(INC)machdefs.h trigtbl.h
-$(OBJ)fftpackc.o: fftpackc.c fftpackc.h \
-  $(INC)machdefs.h
-$(OBJ)matxop.o: matxop.c matxop.h nbmath.h \
-  $(INC)machdefs.h \
-  $(INC)smathconst.h
-$(OBJ)nbmath.o: nbmath.c nbmath.h $(INC)machdefs.h \
-  $(INC)smathconst.h matxop.h nbinteg.h nbtri.h
-$(OBJ)nbtri.o: nbtri.c nbtri.h $(INC)machdefs.h
+	 rm -f $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
+	rm -f $(SOPHYALIBP)libNTools.a
+ 
+$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cspline.o: cspline.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datatypes.o: datatypes.cc \
+  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h dates.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
+  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h cimage.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct1dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct2dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h simps2d.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftmayer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftpackc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
+  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
+  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)machdefs.h nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)functab.o: functab.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h functab.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)generaldata.o: generaldata.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbtri.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)generalfit.o: generalfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)sopemtx.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
+  integ.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h classfunc.h \
+  generalfit.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)median.o: median.cc
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h cimage.h \
+  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
+  dates.h datime.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)objfitter.o: objfitter.cc \
+  $(SOPHYAINCP)sopnamsp.h objfitter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)perandom.o: perandom.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h pemath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h linfit.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
+  difeq.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)simplesort.o: simplesort.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h simplesort.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)simplex.o: simplex.cc \
+  $(SOPHYAINCP)sopnamsp.h simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tabmath.o: tabmath.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h \
+  nbconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h matxop.h \
+  nbinteg.h nbtri.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/NTools/objlist.list
===================================================================
--- trunk/SophyaLib/NTools/objlist.list	(revision 2735)
+++ trunk/SophyaLib/NTools/objlist.list	(revision 2743)
@@ -1,3 +1,2 @@
-FSAppIrrSmpl.o
 cimage.o
 cspline.o
@@ -15,4 +14,5 @@
 fftpserver.o
 fftservintf.o
+FSAppIrrSmpl.o
 functab.o
 generaldata.o
Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 2743)
+++ trunk/SophyaLib/NTools/smakefile	(revision 2743)
@@ -0,0 +1,545 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libNTools.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
+	rm -f $(SOPHYALIBP)libNTools.a
+ 
+$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cspline.o: cspline.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datatypes.o: datatypes.cc \
+  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h dates.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
+  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h cimage.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct1dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct2dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h simps2d.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftmayer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftpackc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
+  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
+  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)machdefs.h nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)functab.o: functab.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h functab.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)generaldata.o: generaldata.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbtri.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)generalfit.o: generalfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)sopemtx.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
+  integ.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h classfunc.h \
+  generalfit.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)median.o: median.cc
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h cimage.h \
+  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
+  dates.h datime.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)objfitter.o: objfitter.cc \
+  $(SOPHYAINCP)sopnamsp.h objfitter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)perandom.o: perandom.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h pemath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h linfit.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
+  difeq.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)simplesort.o: simplesort.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h simplesort.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)simplex.o: simplex.cc \
+  $(SOPHYAINCP)sopnamsp.h simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tabmath.o: tabmath.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h \
+  nbconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h matxop.h \
+  nbinteg.h nbtri.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CCOMPILE) -o $@ $<
+ 
